kotlinx.support

Provides extension and top-level functions to use JDK7/JDK8 features in Kotlin 1.0.

In Kotlin 1.1+ please use the standard library artifacts instead: kotlin-stdlib-jre7 and kotlin-stdlib-jre8.

obsolete JetBrains project Download

Maven

Add jcenter repository (if you don’t have it yet)

<repository>
    <snapshots>
        <enabled>false</enabled>
    </snapshots>
    <id>central</id>
    <name>bintray</name>
    <url>http://jcenter.bintray.com</url>
</repository>

Add a dependency:

<dependency>
    <groupId>org.jetbrains.kotlinx</groupId>
    <artifactId>kotlinx-support-jdk8</artifactId>
    <version>0.3</version>
</dependency>

Gradle

Just add a dependency:

compile 'org.jetbrains.kotlinx:kotlinx-support-jdk8:0.3'

jcenter repository should be configured by default in gradle, but if it’s not you may need to include it:

repositories {
    jcenter()
}
compile "org.jetbrains.kotlinx:kotlinx-support:0.3"

Related Libraries

kxdate

Kotlin extensions for Java 8 java.time API

Last updated 3 mins ago

vavr-kotlin

Vavr integration for Kotlin

Last updated 3 mins ago

kapsule

Minimalist dependency injection library for Kotlin.

Last updated 3 mins ago

ktunits

Simple unit conversion library for Kotlin

Last updated 3 mins ago

cakeparse

Simple parser combinator library for Kotlin

Last updated 3 mins ago